# vim: set sw=4 ts=4 et:

# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/

Name:           cairo-dock-plugins
Version:        3.0.2
Release:        1.74
License:        GPL-3.0+
Summary:        Cairo-dock is a small simple but effective docklet like Mac
Url:            http://www.glx-dock.org/
Group:          System/GUI/GNOME
Source0:        https://launchpad.net/cairo-dock-plug-ins/3.0/%{version}/+download/cairo-dock-plugins-%{version}.tar.gz
Source99:       cairo-dock-plugins-rpmlintrc
# PATCH-FIX-UPSTREAM cairo-dock-plugins-3.0.2-no-return-in-nonvoid-function.patch adam@mizerski lp#1050526 -- fix no-return-in-nonvoid-function
Patch0:         cairo-dock-plugins-3.0.2-no-return-in-nonvoid-function.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  mono-core
BuildRequires:  ruby
BuildRequires:  vala-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(cairo-dock) = %{version}
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gldi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glib-sharp-2.0)
BuildRequires:  pkgconfig(libexif)
#BuildRequires:  pkgconfig(libgnome-menu-3.0) not yet
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxklavier)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(ndesk-dbus-1.0)
BuildRequires:  pkgconfig(ndesk-dbus-glib-1.0)
BuildRequires:  pkgconfig(upower-glib)
%if 0%{?suse_version} >= 1210
BuildRequires:  pkgconfig(vte-2.90)
BuildRequires:  pkgconfig(webkitgtk-3.0)
%else
BuildRequires:  pkgconfig(vte)
BuildRequires:  pkgconfig(webkit-1.0)
%endif
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xxf86vm)
%if 0%{?suse_version} >= 1210
BuildRequires:  pkgconfig(zeitgeist-1.0)
%endif
Requires:       cairo-dock = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%py_requires

%description
That package provides plugins for cairo-dock

%package gnome-integration
Summary:        That package provides plugins for cairo-dock
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description gnome-integration
That package provides DE specific integration plugins

%package xfce-integration
Summary:        That package provides plugins for cairo-dock
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}

%description xfce-integration
That package provides DE specific integration plugins

%package kde-integration
Summary:        That package provides plugins for cairo-dock
Group:          System/GUI/KDE
Requires:       %{name} = %{version}

%description kde-integration
That package provides DE specific integration plugins

%lang_package

%prep
%setup -q
%patch0 -p1
sed -i -e "s|lib/ruby/|%{_lib}/ruby/|g" CMakeLists.txt
sed -i -e "s|--prefix=|--root=%{buildroot} --prefix=|g" Dbus/interfaces/python/PythonInstall.cmake.in

%build
mkdir build
pushd build
    cmake \
        -DCMAKE_VERBOSE_MAKEFILE=TRUE \
        -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
        -DCMAKE_C_FLAGS="%{optflags}" \
        -DCMAKE_SKIP_RPATH=TRUE \
        -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
        -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
        ..
    make %{?_smp_flags}
popd

%install
pushd build
    %make_install
popd
%find_lang %{name}
%fdupes -s %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_libdir}/cairo-dock
%{_libdir}/cairo-dock/libcd-*.so
%{_libdir}/libCDApplet.so
%{_libdir}/pkgconfig/CDApplet.pc
%{_datadir}/cairo-dock/plug-ins/
%{_datadir}/cairo-dock/gauges/
%dir %{_datadir}/vala-*
%dir %{_datadir}/vala-*/vapi
%{_datadir}/vala-*/vapi/CDApplet.*
%dir %{_prefix}/lib/cli
%dir %{_prefix}/lib/cli/cairo-dock-plug-ins
%{_prefix}/lib/cli/cairo-dock-plug-ins/CDApplet.dll
%{_libdir}/ruby/*/CDApplet.rb
%{python_sitelib}/CDApplet.py*
%{python_sitelib}/CDApplet*egg-info*
%{python_sitelib}/CairoDock.py*

%files lang -f %{name}.lang
%defattr(-,root,root)

%files gnome-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_gnome-integration.*

%files xfce-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_xfce-integration.*

%files kde-integration
%defattr(-,root,root)
%{_libdir}/cairo-dock/libcd_kde-integration.*

%changelog
* Wed Sep 12 2012 adam@mizerski.pl
- update to 3.0.2: bugfixes
- spec file cleanup
- added patch:
  * cairo-dock-plugins-3.0.2-no-return-in-nonvoid-function.patch
* Thu May 24 2012 pascal.bleser@opensuse.org
- update to 3.0.1: bugfixes
* Tue May  1 2012 pascal.bleser@opensuse.org
- update to 3.0.0
* Sun Jun 26 2011 detlef@links2linux.de
- new upstream version 2.3.0-3
* Mon May  2 2011 detlef@links2linux.de
- new upstream version 2.3.0-1
* Thu Mar 18 2010 andrea@links2linux.de
- new upstream version 2.1.3
* Sun Nov 22 2009 andrea@links2linux.de
- new upstream version 2.1.1
* Tue Jul  7 2009 andrea@links2linux.de
- new upstream version 2.0.7
* Thu Jun 18 2009 andrea@links2linux.de
- new upstream version 2.0.5
* Tue May 26 2009 andrea@links2linux.de
- new upstream version 2.0.3
* Sun May 10 2009 andrea@links2linux.de
- new upstream version 2.0.0
- made spec file easier to maintain, all plugins merged in a single rpm
* Sun Dec  7 2008 andrea@links2linux.de
- upgraded to version v1.6.3.1
* Sun Nov  9 2008 andrea@links2linux.de
- upgraded to version 20081109 v1.6.3
- added Clipper plugin
* Wed Sep 10 2008 andrea@links2linux.de
- upgraded to version 20080910 v1.6.2.3
* Fri Aug 29 2008 andrea@links2linux.de
- upgraded to version 20080828 v1.6.2.1
- re-added plugins slider and stack
- plugins file moved to /usr/share/cairo-dock/plug-ins/<plugin-name>
* Fri Jun 20 2008 andrea@links2linux.de
- upgraded to version 20080619 v1.6.0.2
* Sun Jun  1 2008 andrea@links2linux.de
- upgraded to version 20080528 v1.5.6
- added new plugin:
  - nVidia
- now plugins weblets and gnome-integration built on suse 11
- all "files" section fixed, because all files have a different path
- removed all devel packages, no more required
- added lang package
* Thu May  8 2008 andrea@links2linux.de
- upgraded to version 20080506
* Thu May  1 2008 andrea@links2linux.de
- upgraded to version 20080501
* Sat Apr 26 2008 andrea@opensuse.org
- upgraded to version 20080426
- added 5 new plugins with devels:
  - cpusage
  - gauge-test
  - slider (not build, make fail)
  - stacks
  - weblets (not build, missing dependencies)
- added better descriptions for plugins
* Thu Apr 24 2008 andrea@opensuse.org
- upgraded to version 20080424
* Wed Apr  9 2008 andrea@links2linux.de
- upgraded to version 20080408
- added 3 new plugins with devels:
  - dbus
  - compiz-icon
  - showDesktop
* Sun Apr  6 2008 andrea@links2linux.de
- upgraded to version 20080406
* Thu Apr  3 2008 andrea@links2linux.de
- upgraded to version 20080403
- added new plugins with devels:
  - netspeed
  - rame
  - switcher
- changed tag _showDesklets to _show now plugin showDesklet build
* Sun Mar 23 2008 andrea@links2linux.de
- upgraded to version 20080318
- removed template patch..that's no a plugin
  but a template to create a new one. ^_^
- added new plugins with devels:
  - alsa
  - penguin
  - mail
  - tomboy
  - showdesklet
  - wifi
  - xmms
  - xfce
* Mon Mar  3 2008 andrea@links2linux.de
- fixed Gnome-Integration trigger, it was ignored and the plugin
  wasn't built.
- added better descriptions for plugins
* Fri Feb 29 2008 andrea@links2linux.de
- upgraded to version 20080227
- added a new plugin with devel:
  - weather
- added patch to fix autoreconf and makefile for plugin "template"
- added %%run_ldconfig to any plugin package
* Sun Feb 10 2008 andrea@links2linux.de
- upgraded to version 20080209
- removed package cairo-dock-filemanger and his "devel"
- added six new plugins with devels:
  - gnome-integration
  - powermanager
  - shortcuts
  - systray
  - template
  - Xgamma
* Sat Jan 19 2008 andrea@links2linux.de
- First spec making
